Extending Qt Creator Manual | EditorToolBar

Extending Qt Creator Manual 4.5.2

# EditorToolBar Class

(Core::EditorToolBar)

Inherits: | Utils::StyledBar

- List of all members, including inherited members

## Public Types

typedef | MenuProvider
enum | ToolbarCreationFlags { FlagsNone, FlagsStandalone }

## Public Functions

| EditorToolBar(QWidget *parent = 0)
virtual | ~EditorToolBar()
void | addCenterToolBar(QWidget *toolBar)
void | addEditor(IEditor *editor)
void | removeToolbarForEditor(IEditor *editor)
void | setCanGoBack(bool canGoBack)
void | setCanGoForward(bool canGoForward)
void | setCloseSplitEnabled(bool enable)
void | setCloseSplitIcon(const QIcon &icon)
void | setCurrentEditor(IEditor *editor)
void | setMenuProvider(const MenuProvider &provider)
void | setNavigationVisible(bool isVisible)
void | setToolbarCreationFlags(ToolbarCreationFlags flags)

- 4 public functions inherited from Utils::StyledBar

## Signals

void | closeClicked()
void | closeSplitClicked()
void | currentDocumentMoved()
void | goBackClicked()
void | goForwardClicked()
void | horizontalSplitClicked()
void | listSelectionActivated(int row)
void | splitNewWindowClicked()
void | verticalSplitClicked()

## Protected Functions

bool | eventFilter(QObject *obj, QEvent *event)

- 1 protected function inherited from Utils::StyledBar

## Member Type Documentation

### typedef EditorToolBar::MenuProvider

### enum EditorToolBar::ToolbarCreationFlags

## Member Function Documentation

### EditorToolBar::EditorToolBar(QWidget *parent = 0)

Default constructs an instance of EditorToolBar.

### `[virtual]` EditorToolBar::~EditorToolBar()

Destroys the instance of EditorToolBar. The destructor is virtual.

### void EditorToolBar::addCenterToolBar(QWidget *toolBar)

### void EditorToolBar::addEditor(IEditor *editor)

### `[signal]` void EditorToolBar::closeClicked()

### `[signal]` void EditorToolBar::closeSplitClicked()

### `[signal]` void EditorToolBar::currentDocumentMoved()

### `[protected]` bool EditorToolBar::eventFilter(QObject *obj, QEvent *event)

### `[signal]` void EditorToolBar::goBackClicked()

### `[signal]` void EditorToolBar::goForwardClicked()

### `[signal]` void EditorToolBar::horizontalSplitClicked()

### `[signal]` void EditorToolBar::listSelectionActivated(int row)

### void EditorToolBar::removeToolbarForEditor(IEditor *editor)

### void EditorToolBar::setCanGoBack(bool canGoBack)

### void EditorToolBar::setCanGoForward(bool canGoForward)

### void EditorToolBar::setCloseSplitEnabled(bool enable)

### void EditorToolBar::setCloseSplitIcon(const QIcon &icon)

### void EditorToolBar::setCurrentEditor(IEditor *editor)

### void EditorToolBar::setMenuProvider(const MenuProvider &provider)

### void EditorToolBar::setNavigationVisible(bool isVisible)

### void EditorToolBar::setToolbarCreationFlags(ToolbarCreationFlags flags)

### `[signal]` void EditorToolBar::splitNewWindowClicked()

### `[signal]` void EditorToolBar::verticalSplitClicked()